@echo off
echo.
echo Alder Lake N and Amston Lake BIOS updater - Windows 64 bit Version
echo.

if "%1" == "" ( 
  echo.
  echo Please enter the BIOS file parameter : bios_update_x64.bat official_bios.xxx
  echo.
  Goto :eof
)

AFUWINx64.exe %1 /EC /ME /PADDING0 /N /NB /OA /TSNMACADDR /TCCCACHECFG /TCCPTCMBINARY /TCCSTREAMCFG /P /AB /FSPS /FSPM /FSPT /B /DATABACKUP /DATA /BB1BACKUP /BB1 /ABU /FSPSU /FSPMU /FSPTU /BBU
AFUWINx64.exe %1 /DESC


echo.
echo Please power off and then on the system
echo.


:eof
 